Modify an existing target
patch
https://EM_HOST:8080/em/api/targets/{targetId}
This api modifies an existing target identified by the given id. This is a parital update of the target. Only the given parts are updated.
Request
Path Parameters
-
targetId(required): string
the target id
Supported Media Types
- application/json+merge-patch
Root Schema : schema
Type:
objectThe payload used to modify an existing target
Show Source
-
accessPoint:
accessPoint
the access point for this update
-
credentials: object
credentials
Additional Properties Allowed: additionalPropertiesthe credentials to be updated
-
displayName: string
the display name of the target
-
propagateToAgent: boolean
indicates if property changes shall get promoted to the agent
-
properties: array
properties
the properties to be updated
Nested Schema : accessPoint
the access point for this update
Match All
the access point for this update
Show Source
-
object
NameTypePair
A pair of name and type.
Nested Schema : credentials
Type:
objectAdditional Properties Allowed
Show Source
the credentials to be updated
Nested Schema : properties
Type:
arraythe properties to be updated
Show Source
-
Array of:
object TargetPropertySummary
A target property describes a property of a target by id, name, display name and the value
Nested Schema : NameTypePair
Type:
objectA pair of name and type.
Show Source
-
name: string
the name
-
type: string
the type
Nested Schema : TargetPropertySummary
Type:
objectA target property describes a property of a target by id, name, display name and the value
Show Source
-
displayName: string
the property name in the client locale. If the client locale is unknown or not supported this is the same as the name.
-
id: string
the property id. This is the internal name of the property
-
name: string
the English property name.
-
value: string
the property value.
Response
Supported Media Types
- application/json
200 Response
Successful Response
Root Schema : Target
Type:
objectDetails of target
Show Source
-
id(required): string
(raw)
ID of the targetExample:
317C6AD6C69832D0ADDA279BEB7B7F32 -
name(required): string
Name of the targetExample:
emdevinfra.oraclevcn.com -
typeDisplayName: string
Display name for the target typeExample:
Host -
typeName(required): string
Type of the targetExample:
host
400 Response
indicates that there has been a processing error or an illegal argument, like an unsupported property.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
target not found or not authorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description